dofile("scripts/entities/entityinclude.lua")

naija = 0
function init(me)
	naija = getNaija()
	node_setCursorActivation(me, false)
	
	if isStory(9) then
		-- spawn energy god chase
		boss = createEntity("EnergyBossClimb")
		entity_warpToNode(boss, getNode("ENERGYBOSS_SPAWN"))
	end
end

function update(me, dt)
	if entity_y(naija) < node_y(me) then
		if getStory() < 10 then
			setStory(10)
			setCanWarp(1)
		end
	end
end